
Ruby - Bug #1607

TestSocket failures

06/11/2009 10:44 PM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 1.9.1   

ruby -v: 1.9.1p129 mingw Backport:  

Description

=begin

110) Error:

test_accept_loop(TestSocket):

NoMethodError: undefined method each' for nil:NilClass c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:315:in ensure

in tcp_server_sockets_port0'

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:315:in

tcp_server_sockets_port0' c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:356:in tcp_server_sockets'

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:202:in

`test_accept_loop'

1. Error:

test_accept_loop_multi_port(TestSocket):

NoMethodError: undefined method each' for nil:NilClass     c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:315:in ensure

in tcp_server_sockets_port0'

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:315:in

tcp_server_sockets_port0'     c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:356:in  tcp_server_sockets'

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:222:in

`test_accept_loop_multi_port'

=end

History

#1 - 06/11/2009 10:45 PM - rogerdpack (Roger Pack)

=begin

this one might be related, too

1. Error:

test_tcp_server_sockets_port0(TestSocket):

NoMethodError: undefined method each' for nil:NilClass     c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:315:in ensure

in tcp_server_sockets_port0'

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:315:in

tcp_server_sockets_port0'     c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:356:in  tcp_server_sockets'

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:115:in

`test_tcp_server_sockets_port0'

Thanks.

-=r

=end

#2 - 07/13/2009 11:07 PM - yugui (Yuki Sonoda)

- Assignee set to nobu (Nobuyoshi Nakada)

- Target version set to 1.9.1

=begin

=end

#3 - 07/16/2009 08:18 PM - rogerdpack (Roger Pack)

=begin

This one is related to (dup of?) http://redmine.ruby-lang.org/issues/show/1323

=end
#4 - 11/21/2009 08:40 AM - rogerdpack (Roger Pack)

- Status changed from Open to Closed

=begin

appears fixed

=end
